using APT.BaseData.Domain.Enums;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;
using static APT.MS.Domain.Enums.BI.BIEnums;

namespace APT.MS.Domain.Entities.BI
{
    /// <summary>
    /// 安全检查情况综合统计分析（检查类型）
    /// (二)2、3 表
    /// </summary>
    [Description("安全检查情况综合统计分析")]
    public class T_BI_BSCHECKTYPE_YEAR : MesEntityBase
    {
        /// <summary>
        /// 生产单元类型
        /// </summary>
        [Description("生产单元类型")]
        public BSMineTypeEnum MineType { get; set; }

        /// <summary>
        /// 部门ID
        /// </summary>
        [Description("部门ID")]
        public Guid? DEPARTMENT_ID { get; set; }

        /// <summary>
        /// 年度
        /// </summary>
        [Description("年度")]
        public int YEAR { get; set; }

        /// <summary>
        /// 月份
        /// </summary>
        [Description("月份")]
        public int MONTH { get; set; }

        /// <summary>
        /// 年月
        /// </summary>
        [Description("年月")]
        [DataFieldIngore]
        public string YEARMONTH { get; set; }

        /// <summary>
        /// 隐患数
        /// </summary>
        [Description("隐患数")]
        public int ALLCOUNT { get; set; }

        /// <summary>
        /// 按期整改
        /// </summary>
        [Description("按期整改")]
        public int INTTIMECOUNT { get; set; }

        /// <summary>
        /// 延期整改
        /// </summary>
        [Description("延期整改")]
        public int OUTTIMECOUNT { get; set; }

        /// <summary>
        /// 未完成
        /// </summary>
        [Description("未完成")]
        public int NOTFINISHCOUN { get; set; }

        /// <summary>
        /// 整改率(93.58%=>93.58)
        /// </summary>
        [Description("整改率")]
        public decimal FINISHPERCENT { get; set; }
    }
}